# Example of data plotting.  The configurations were for my machine
# called "bayes", with two released versions of R, 2.11.1 and 2.13.0,
# and my modified version of 2.13.0 released 2011-06-08 (called mod2
# here).

source("analyse.r")

pdf("example.pdf",height=11,width=8.5)

plot.ratios (sel(conf="R-2.11.1-bayes",mod="no-mods",r="I2"),
             sel(conf="R-2.13.0-bayes",mod="no-mods",r="I2"))
title ("2.11.1 interpreted / 2.13.0 interpreted")

plot.ratios (sel(conf="R-2.13.0-bayes",mod="no-mods",r="I2"),
             sel(conf="R-2.13.0-bayes",mod="no-mods",r="C2"))
title ("2.13.0 interpreted / 2.13.0 compiled")

plot.ratios (sel(conf="R-2.13.0-bayes",mod="no-mods",r="I2"),
             sel(conf="R-2.13.0-bayes",mod="mod2",r="I2"))
title ("2.13.0 interpreted / modified 2.13.0 interpreted")

plot.ratios (sel(conf="R-2.13.0-bayes",mod="no-mods",r="C2"),
             sel(conf="R-2.13.0-bayes",mod="mod2",r="C2"))
title ("2.13.0 compiled / modified 2.13.0 compiled")

plot.ratios (sel(conf="R-2.13.0-bayes",mod="mod2",r="I2"),
             sel(conf="R-2.13.0-bayes",mod="mod2",r="C2"))
title ("modified 2.13.0 interpreted / modified 2.13.0 compiled")

plot.ratios (sel(conf="R-2.13.0-bayes",mod="no-mods",r="I2"),
             sel(conf="R-2.13.0-bayes",mod="mod2",r="C2"))
title ("2.13.0 interpreted / modified 2.13.0 compiled")

dev.off()
